function init()
{
	panel()
		.name("9")
		.height(6 / 16.0)
		.generation("2097152")
		.capacity("8192000000")
		.transfer("16384000")		
	.buildAndRegister()
		.langBuilder()
			.put("en_us", "Solar Panel IX")
			.put("ru_ru", "Солнечная панель IX")
			.put("uk_ua", "Сонячна панель IX")
			.build()
		.recipeBuilder()
			.shape("ppp", "scs", "scs")
			.bind('p', item("kubejs", "solar_panel_tier_6"))
			.bind('c', item("kubejs", "chaotic_shard"))
			.bind('s', item("solarflux", "sp_de.chaotic"))
		.build(2);		
	panel()
		.name("10")
		.height(6 / 16.0)
		.generation("4194304")
		.capacity("32768000000")
		.transfer("65536000")		
	.buildAndRegister()
		.langBuilder()
			    .put("en_us", "Solar Panel X")
				.put("ru_ru", "Солнечная панель X")
				.put("uk_ua", "Сонячна панель X")
			.build()
		.recipeBuilder()
			.shape("ppp", "scs", "scs")
			.bind('p', item("kubejs", "solar_panel_tier_7"))
			.bind('c', item("draconicevolution", "chaos_shard"))
			.bind('s', item("solarflux", "sp_custom_9"))
		.build(2);
	panel()
		.name("11")
		.height(6 / 16.0)
		.generation("8388608")
		.capacity("131072000000")
		.transfer("262144000")		
	.buildAndRegister()
		.langBuilder()
			.put("en_us", "Solar Panel XI")
			.put("ru_ru", "Солнечная панель XI")
			.put("uk_ua", "Сонячна панель XI")
			.build()
		.recipeBuilder()
			.shape("ppp", "scs", "scs")
			.bind('p', item("kubejs", "solar_panel_tier_8"))
			.bind('c', item("kubejs", "custom_core"))
			.bind('s', item("solarflux", "sp_custom_10"))
		.build(2);
	panel()
		.name("12")
		.height(6 / 16.0)
		.generation("16777216")
		.capacity("524288000000")
		.transfer("1048576000")		
	.buildAndRegister()
		.langBuilder()
			    .put("en_us", "Solar Panel XII")
				.put("ru_ru", "Солнечная панель XII")
				.put("uk_ua", "Сонячна панель XII")
			.build()
		.recipeBuilder()
			.shape("ppp", "scs", "scs")
			.bind('p', item("kubejs", "solar_panel_tier_9"))
			.bind('c', item("kubejs", "custom_core_1"))
			.bind('s', item("solarflux", "sp_custom_11"))
		.build(2);
	panel()
		.name("max")
		.height(6 / 16.0)
		.generation("33554432")
		.capacity("2097152000000")
		.transfer("4194304000")		
	.buildAndRegister()
		.langBuilder()
			    .put("en_us", "Maximal Solar Panel")
				.put("ru_ru", "Максимальная солнечная панель")
				.put("uk_ua", "Максимальна cонячна панель")
			.build()
		.recipeBuilder()
			.shape("ppp", "scs", "scs")
			.bind('p', item("kubejs", "solar_panel_tier_10"))
			.bind('c', item("kubejs", "infinity_core"))
			.bind('s', item("solarflux", "sp_custom_12"))
		.build(2);
}